Subject: bug#3846: *shell-mode* error

From: "A. Soare" <[email-masked]>
Date: Wed, 15 Jul 2009 10:39:37 +0200 (CEST)

Thanks.

I cannot reproduce the bug today, but it happened to me many times, and it will happen again. I will report in detail.

> tags 3864 moreinfo
> stop
> 
> "A. Soare" wrote:
> 
> > On the contrary, when I memorize the current directory (X) using
> > pushd, then I make cd <new_dir>, then I execute popd, the
> > *Completion* buffer will show the files from the directory
> > <new_dir>, even I executed in the meantime popd. It should have
> > displayed the files from X...
> 
> The precise recipe is missing, but the following sequence:
> 
> emacs -Q -f shell
> cd /tmp
> pushd
> 
> is not a valid sequence in the bash shell, because pushd with no
> arguments exchanges the top two elements in the directory stack, and
> the directory stack is empty at this point.
> 
> This on the other hand works fine, as it should:
> 
> emacs -Q -f shell
> cd /tmp
> pushd /usr
> cd bin
> popd
> 
> 
> If you are using tcsh with pushdtohome set, you want to set
> shell-pushd-tohome.
> 
> You need to provide a recipe from emacs -Q that says what the problem
> is, what your shell is, and any relevant shell options you have set.
> 
> 

____________________________________________________

Le week-end sera pluvieux ? Quel dommage !... Mais pas de panique le nouveau Guide TV de Voila est là  http://tv.voila.fr